%define name karchiver
%define release 3mdk
%define version 2.0.3
%define libname libkarchiver
%define lib_major 2

Summary: 	A KDE archive management
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Archiving/Compression
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
Obsoletes:	karchiveur
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake autoconf diffutils file m4 texinfo libqt2-devel gettext
BuildRequires:  kdelibs-devel gcc-c++ kdelibs libbinutils2 libbzip2_1 db1 freetype2 libjpeg62
BuildRequires:  libmng1 libpng2 libqt2 rpm-build

%description
This KDE application allows you reading, extracting, converting and modifying
.tar, .bz2, .gz, .zip... archives, just with a mouse!

Now uses wizards to compile and install softwares...

It can also split them to fit in floppies

%package -n %{libname}%{lib_major}
Group: System/Libraries
Summary: Shared library requires by Karchiveur.

%description -n %{libname}%{lib_major}
This package contains the shared library part of the KDE archiving program karchiveur.

%prep
%setup -q
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT \
  	      --disable-rpath \
	      --disable-debug \
	      --enable-final
 
 

%build
mkdir -p $RPM_BUILD_ROOT
%make KDEDIR=$KDEDIR

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/karchiver"\
title="Karchiveur"\
icon="%{name}.png"\  
longtitle="Managing archive files"\
needs="x11"\
section="Applications/Archiving/Compression"
EOF
)


%{find_lang} %{name}
 
%post
%{update_menus}
 
%postun
%{clean_menus}

%post -n %{libname}%{lib_major}
/sbin/ldconfig

%postun -n %{libname}%{lib_major}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_libdir/*.la
#
%_datadir/icons/hicolor/22x22/actions/*.png
%_datadir/icons/hicolor/32x32/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/mimetypes/*.png
#
%_datadir/icons/hicolor/48x48/apps/*.png
#
%_datadir/icons/locolor/16x16/actions/*.png
%_datadir/icons/locolor/16x16/apps/*.png 
%_datadir/icons/locolor/16x16/mimetypes/*.png    
#
%_datadir/icons/locolor/22x22/mimetypes/*.png
#
%_datadir/icons/locolor/32x32/apps/*.png
#
%_datadir/applnk/Utilities/karchiver.desktop
#
%dir %_datadir/apps/karchiver/
%dir %_datadir/apps/karchiver/pics
%_datadir/apps/karchiver/*.rc
%_datadir/apps/karchiver/pics/*.png
#
%doc %_datadir/doc/HTML/en/karchiver
%_menudir/*

%lang(fr) %_datadir/doc/HTML/fr/karchiver

%files -n %{libname}%{lib_major}
%defattr(-,root,root)
%doc COPYING README
%_libdir/libkarchiver.so.*


%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.3-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires fon non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-2mdk
- Add build requires

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-1mdk
- Update code

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-5mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.2-4mdk
- Rebuild against Qt 2.3.0

* Mon Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-3mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- added missing files
	- uses %%find_lang macro
	- fixed menu entry
	- split out libkarchiveur2 package

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.2-2mdk
- Fix build on PPC

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- updated to 2.0.2

* Tue Oct 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.87-1mdk
- updated to 0.87
- build with kde1compat

* Wed May 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.86-1mdk
- v0.86

* Mon Apr 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.85-1mdk
- first spec
